# Loading a Sustained Stream of Customer Data
Useful if you want an adaptor to get a sustained stream of data.

These files are called by:

../scripts/load-sustained.py

load-sustained.py should load data for several hours.

Loads 3600 files with a 1-10 second sleep between each load.

Assuming an average of 5 seconds for each sleep:

(3600 x 5 ) / 60 = 300 mins 

Plus the amount of time it takes to load the files.

## Creating the Data
The data was created using the generate.sh script.

## Loading Data
```
cd ..
python3 scripts/load-sustained.py
```

By default the script:
- uses the Oracle adaptor
- uses all of the data files in this directory 
- runs locally

You'll need to edit the script if you want to override any of the above.